> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start an OAuth authorization (redirects to the dashboard consent page)

> Developer API operation for GET /dev/v1/oauth/authorize.



## OpenAPI

````yaml /openapi.json get /dev/v1/oauth/authorize
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/oauth/authorize:
    get:
      tags:
        - OAuth2
      summary: Start an OAuth authorization (redirects to the dashboard consent page)
      description: Developer API operation for GET /dev/v1/oauth/authorize.
      operationId: getDevV1OauthAuthorize
      parameters:
        - name: response_type
          in: query
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          required: true
          schema:
            minLength: 1
            maxLength: 2048
            type: string
        - name: redirect_uri
          in: query
          required: true
          schema:
            minLength: 1
            maxLength: 2048
            type: string
        - name: scope
          in: query
          required: false
          schema:
            maxLength: 4096
            type: string
        - name: state
          in: query
          required: false
          schema:
            maxLength: 512
            type: string
        - name: code_challenge
          in: query
          required: false
          schema:
            maxLength: 256
            type: string
        - name: code_challenge_method
          in: query
          required: false
          schema:
            maxLength: 16
            type: string
        - name: resource
          in: query
          required: false
          schema:
            maxLength: 2048
            type: string
      responses:
        '200':
          description: Successful response
        '302':
          description: Successful response
          content:
            text/plain:
              schema:
                type: string
                example: >-
                  Location:
                  https://dashboard.shoppex.io/oauth/authorize?response_type=code&client_id=shoc_demo&redirect_uri=https%3A%2F%2Ferp.example.com%2Fcallback&scope=orders.read&state=state_1
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.